@import url("https://fonts.googleapis.com/css2?family=Forum&family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");

@font-face{
  font-family: trajan_font;
  src:url(../assets/fonts/trajan_font.ttf);
}

@font-face{
  font-family: avenir_font;
  src:url(../assets/fonts/CooperHewitt_Thin.ttf);
}

* {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

a {
  text-decoration: none;
}

#active {
  font-weight: 400;
}

.container {
  padding-left: 1rem;
  padding-right: 1rem;
  margin-left: auto;
  margin-right: auto;
  max-width: 1200px;
  margin-bottom: 20px;
}

.img-container {
  /* padding-left: 1rem;
  padding-right: 1rem; */
  margin-left: auto;
  margin-right: auto;
  /* max-width: 70%; */
}

.navbar {
  background-color: white;
  position: fixed;
  top: 0;
  left: 0;
  justify-content: space-around;
  width: 100%; /* Add this to make the navbar full width */
  z-index: 1000; /* Adjust the z-index as needed */
}

.nav-links {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 30px;
  padding-bottom: 10px;
}

.nav-pair {
  display: flex;
  gap: 40px;
  transition: opacity 0.5s ease-in-out;
}

.nav-pair a {
  font-family: "Inter", sans-serif;
  padding: 1px;
  color: black;
  font-weight: 300;
  letter-spacing: 2px;
  font-size: smaller;
  transition: text-shadow 0.3s ease, color 0.3s ease; 
}

.nav-pair a:hover {
  text-shadow: 0 0 .55px #333, 0 0 .55px #333;
  color: black; /* Change text color on hover */
}

.logo-img {
  width: 50px;
  transition: .3s ease;
}

.nav-logo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  justify-items: center;
  align-items: center;
  /* gap: 15px; */
  cursor: pointer;
}

.mobile-menu {
  display: none;
}

.grid-container {
    transition: opacity 0.5s ease-in-out;
}

.grid-item {
    transition: opacity 0.5s ease-in-out;
}

section {
  padding-top: 100px;
  /* display: none; */
}

.navbar.inactive .nav-links{
  padding-top: 10px;
  padding-bottom: 10px;
}
.navbar.inactive .container{
  margin-bottom: 0px !important;
}

.navbar.inactive .nav-pair{
  opacity: 0;
  pointer-events: none;
}

.navbar.inactive .logo-img{
  width: 35px;
}

section.inactive {
  padding-top: 50px;
  /* display: none; */
}

/* WORK ON IT */
/* .grid-item img:hover {
  display: none;
} */

/* .border-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.border {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: aqua;
} */

@keyframes text_fadeIn {
  0%{
    opacity: 0;
    transform: translate(-50%, -50%) scale(1);
  }
  30%{
    opacity: 0;
    transform: translate(-50%, -50%) scale(1);
  }
  100% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1.03);
  }
}

.grid-item p{
  font-family: avenir_font;
  
}

@media (min-width: 1024px) {
  .grid-container {
    display: grid;
    grid-gap: 20px; /* Adjust the gap between grid items */
    margin-top: 30px;
    margin-bottom: 30px;
    cursor: pointer;
    z-index: -10;
  }

  .grid-item {
    position: relative;
    text-align: center;
    transition: background-color 0.3s ease-in-out;
    background-color: #BFBEB7;
    margin: 5px;
    overflow: hidden; 
    z-index: 5;
  }

  .grid-item .bor1{
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    opacity: 0;
    overflow: hidden;
    z-index: 2;
    pointer-events: none;
  }

  .grid-item:hover .bor1{
    opacity: 1;
  }

  .grid-item .bor1::before{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    border-bottom: 1px solid #000000;
    border-left: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }

  .grid-item .bor1::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    border-top: 1px solid #000000;
    border-left: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }
  
  .grid-item:hover .bor1::before, .grid-item:hover .bor1::after{
    height: 100%;
    width: 100%;
  }

  .grid-item .bor2{
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    opacity: 0;
    z-index: 2;
    overflow: hidden;
    pointer-events: none;
  }

  .grid-item:hover .bor2{
    opacity: 1;
  }

  .grid-item .bor2::before{
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    border-bottom: 1px solid #000000;
    border-right: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }

  .grid-item .bor2::after{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    border-top: 1px solid #000000;
    border-right: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }
  
  .grid-item:hover .bor2::before, .grid-item:hover .bor2::after{
    height: 100%;
    width: 100%;
  }

  .grid-item img {
    z-index: 10;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.3s ease-in-out;
    z-index: 6;
  }

  .grid-item p {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    font-size: 18px;
    opacity: 0;
    /* transition: 0.3s ease-in-out;  */
    background-color: rgba(191, 190, 183, 0);
  }

  .grid-item:hover {
    background-color: #BFBEB7; /* Make the background transparent on hover */
  }
  
  .grid-item:hover img {
    opacity: 0; /* Hide the image on hover */
  }
  
  .grid-item:hover p {
    /* opacity: 1; */
    /* background-color: #BFBEB7; */
    /* background-color: rgba(191, 190, 183, 0); */

    transform: translate(-50%, -50%);
    animation: 1s ease text_fadeIn;
    animation-fill-mode: forwards;
  }

  /* Default styles for desktop */
  .grid-container {
    grid-template-columns: repeat(3, 1fr); /* Three columns */
    grid-template-rows: repeat(4, 1fr); /* Four rows */
  }

  .grid-item:nth-child(1) {
    grid-column: span 2;
  }

  .grid-item:nth-child(4) {
    grid-column: span 2;
  }

  .grid-item:nth-child(5) {
    grid-column: span 2;
  }

  .grid-item:nth-child(11) {
    grid-column: span 2;
  }

  .mobile-nav-links {
    display: none;
  }
  
}

@media (min-width: 747px) and (max-width: 1024px) {
  .img-container {
    padding-left: 1rem;
    padding-right: 1rem;
    margin-left: auto;
    margin-right: auto;
    /* max-width: 85%; */
  }

  .grid-container {
    display: grid;
    grid-gap: 20px; /* Adjust the gap between grid items */
    margin-top: 30px;
    margin-bottom: 30px;
    cursor: pointer;
    z-index: -10;
  }

  .grid-item {
    position: relative;
    text-align: center;
    transition: background-color 0.3s ease-in-out;
    background-color: #BFBEB7;
    margin: 5px;
    overflow: hidden; 
    z-index: 5;
  }

  
  .grid-item .bor1{
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    opacity: 0;
    z-index: 2;
    pointer-events: none;
  }

  .grid-item:hover .bor1{
    opacity: 1;
  }

  .grid-item .bor1::before{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    border-bottom: 1px solid #000000;
    border-left: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }

  .grid-item .bor1::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    border-top: 1px solid #000000;
    border-left: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }
  
  .grid-item:hover .bor1::before, .grid-item:hover .bor1::after{
    height: 100%;
    width: 100%;
  }

  .grid-item .bor2{
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    opacity: 0;
    z-index: 2;
    overflow: hidden;
    pointer-events: none;
  }

  .grid-item:hover .bor2{
    opacity: 1;
  }

  .grid-item .bor2::before{
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    border-bottom: 1px solid #000000;
    border-right: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }

  .grid-item .bor2::after{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    border-top: 1px solid #000000;
    border-right: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }
  
  .grid-item:hover .bor2::before, .grid-item:hover .bor2::after{
    height: 100%;
    width: 100%;
  }

  .grid-item img {
    z-index: 10;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.3s ease-in-out;
    z-index: 6;
  }

  .grid-item p {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    font-size: 18px;
    opacity: 0;
    /* transition: 0.3s ease-in-out;  */
    background-color: rgba(191, 190, 183, 0);
  }

  .grid-item:hover {
    background-color: #BFBEB7; /* Make the background transparent on hover */
  }
  
  .grid-item:hover img {
    opacity: 0; /* Hide the image on hover */
    z-index: 0;
  }
  
  .grid-item:hover p {
    opacity: 1; /* Show the text on hover */
    /* background-color: #BFBEB7; */
    /* background-color: rgba(191, 190, 183, 0); */
    
    transform: translate(-50%, -50%);
    animation: 1s ease text_fadeIn;
    animation-fill-mode: forwards;
  }
  /* Default styles for desktop */
  .grid-container {
    grid-template-columns: repeat(3, 1fr); /* Three columns */
    grid-template-rows: repeat(4, 1fr); /* Four rows */
  }

  .grid-item:nth-child(1) {
    grid-column: span 2;
  }

  .grid-item:nth-child(4) {
    grid-column: span 2;
  }

  .grid-item:nth-child(5) {
    grid-column: span 2;
  }

  .grid-item:nth-child(11) {
    grid-column: span 2;
  }

  .mobile-nav-links {
    display: none;
  }
}

@media (min-width: 0px) and (max-width: 1024px) {
  .navbar {
    background-color: white;
  }

  .nav-logo {
    gap: 15px;
  }

  .nav-pair {
    display: none;
    visibility: hidden;
    opacity: 0;
  }

  .line {
    width: 40px;
    height: 1px;
    margin-bottom: 6px;
    background-color: black;
  }

  .hamburger-menu {
    cursor: pointer;
  }

  .mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    opacity: 0; /* Start transparent */
    z-index: 1000; /* Place it above other content */
    overflow-x: hidden;
    /* Add a smooth transition effect */
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    transform-origin: center; /* Set the transform origin to the center */
    /* transform: scaleX(0); */
    cursor: pointer;
    transition: .3s ease-in;
    pointer-events: none;
  }

  .mobile-menu.active {
    /* width: 100%; */
    opacity: 1; 
    /* transform: scaleX(1);  */
    pointer-events: all;
  }

  .mobile-nav-links {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }

  .mobile-nav-links a {
    color: black;
    font-family: "Inter", sans-serif;
    font-size: small;
    letter-spacing: 2px;
  }

  .mobile-nav-contents {
    display: flex;
    text-align: center;
    flex-direction: column;
  }

  .mobile-nav-heading h1 {
    letter-spacing: 2px;
    font-size: large;
  }

  .mobile-nav-heading p {
    font-family: "Inter", sans-serif;
    margin-top: 6px;
    margin-bottom: 10px;
    color: black;
    font-family: "Inter", sans-serif;
    font-size: small;
    letter-spacing: 2px;
  }

  .mobile-nav-heading {
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* text-align: center; */
    justify-items: center;
    align-items: center;
    position: absolute;
    z-index: 1;
    top: 3.5rem;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100vw;
  }

  .black-hamburger-menu {
    display: block;
    text-align: center;
    cursor: pointer;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .insideMenu {
    width: 40px;
    margin-bottom: 6px;
    height: 1px;
    background-color: black;
  }
  .img-container {
    padding-left: 1rem;
    padding-right: 1rem;
    margin-left: auto;
    margin-right: auto;
    /* max-width: 90%; */
  }
  
  .nav-links {
    justify-content: space-evenly;
  }
}

@media (min-width: 0px) and (max-width: 767px) {
  .grid-container {
    display: grid;
    grid-gap: 20px; /* Adjust the gap between grid items */
    margin-top: 30px;
    margin-bottom: 30px;
    cursor: pointer;
    z-index: -10;
  }

  .grid-item {
    position: relative;
    text-align: center;
    transition: background-color 0.3s ease-in-out;
    background-color: #BFBEB7;
    margin: 5px;
    overflow: hidden; 
    z-index: 5;
  }

  
  .grid-item .bor1{
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    opacity: 0;
    z-index: 2;
    pointer-events: none;
  }

  .grid-item:hover .bor1{
    opacity: 1;
  }

  .grid-item .bor1::before{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    border-bottom: 1px solid #000000;
    border-left: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }

  .grid-item .bor1::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    border-top: 1px solid #000000;
    border-left: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }
  
  .grid-item:hover .bor1::before, .grid-item:hover .bor1::after{
    height: 100%;
    width: 100%;
  }

  .grid-item .bor2{
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
  }

  .grid-item:hover .bor2{
    opacity: 1;
  }

  .grid-item .bor2::before{
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    border-bottom: 1px solid #000000;
    border-right: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }

  .grid-item .bor2::after{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    border-top: 1px solid #000000;
    border-right: 1px solid #000000;
    transition: 2s ease;
    height: 0%;
    width: 0%;
  }
  
  .grid-item:hover .bor2::before, .grid-item:hover .bor2::after{
    height: 100%;
    width: 100%;
  }

  .grid-item img {
    z-index: 10;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.3s ease-in-out;
    z-index: 6;
  }

  .grid-item p {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    font-size: 14px;
    opacity: 0;
    /* transition: 0.3s ease-in-out;  */
    background-color: rgba(191, 190, 183, 0);
  }

  .grid-item:hover {
    background-color: #BFBEB7; /* Make the background transparent on hover */
  }
  
  .grid-item:hover img {
    opacity: 0; /* Hide the image on hover */
  }
  
  .grid-item:hover p {
    opacity: 1; /* Show the text on hover */
    /* background-color: #BFBEB7; */
    /* background-color: rgba(191, 190, 183, 0); */
    
    transform: translate(-50%, -50%);
    animation: 1s ease text_fadeIn;
    animation-fill-mode: forwards;
  }

  /* Default styles for desktop */
  .grid-container {
    grid-template-columns: repeat(1, 1fr); /* Three columns */
    grid-template-rows: repeat(1, 1fr); /* Four rows */
  }

}
